com.verisign.epp.codec.nv

## Class EPPNameVerificationCheckResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.nv.EPPNameVerificationCheckResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPNameVerificationCheckResp
      extends EPPResponse

  Provides the response to a `EPPNameVerificationCheckCmd` that indicates whether or not the labels can be used to create a Domain Name Verification (DNV) object.
  See Also:
    `EPPNameVerificationCheckCmd`, `EPPNameVerificationCheckResult`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the name verification check response

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerificationCheckResp()` `EPPNameVerificationCheckResp` default constructor.
    `EPPNameVerificationCheckResp(EPPTransId aTransId)` `EPPNameVerificationCheckResp` constructor that sets the transaction identifier.
    `EPPNameVerificationCheckResp(EPPTransId aTransId, EPPNameVerificationCheckResult aResult)` `EPPNameVerificationCheckResp` constructor that will set the result of an individual label.
    `EPPNameVerificationCheckResp(EPPTransId aTransId, java.util.List<EPPNameVerificationCheckResult> aResults)` `EPPNameVerificationCheckResp` constructor that will set the result of multiple labels.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResult(EPPNameVerificationCheckResult aResult)` Adds a result to the list of check results.
    `java.lang.Object` | `clone()` Clone `EPPNameVerificationCheckResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPNameVerificationCheckResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameVerificationCheckResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameVerificationCheckResp` with this instance.
    `java.util.List<EPPNameVerificationCheckResult>` | `getCheckResults()` Get the results of a `EPPNameVerificationCheckResp` Response.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPNameVerificationCheckResp`.
    `java.lang.String` | `getType()` Get the EPP response type associated with `EPPNameVerificationCheckResp`.
    `void` | `setCheckResults(java.util.List<EPPNameVerificationCheckResult> aResults)` Set the results of a `EPPNameVerificationCheckResp` Response.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the name verification check response
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationCheckResp

          public EPPNameVerificationCheckResp()

      `EPPNameVerificationCheckResp` default constructor.

    - #### EPPNameVerificationCheckResp

          public EPPNameVerificationCheckResp(EPPTransId aTransId)

      `EPPNameVerificationCheckResp` constructor that sets the transaction identifier.
      Parameters:
        `aTransId` - Transaction Id associated with response.

    - #### EPPNameVerificationCheckResp

          public EPPNameVerificationCheckResp(EPPTransId aTransId,
                                              EPPNameVerificationCheckResult aResult)

      `EPPNameVerificationCheckResp` constructor that will set the result of an individual label.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aResult` - Result of a single label.

    - #### EPPNameVerificationCheckResp

          public EPPNameVerificationCheckResp(EPPTransId aTransId,
                                              java.util.List<EPPNameVerificationCheckResult> aResults)

      `EPPNameVerificationCheckResp` constructor that will set the result of multiple labels.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aResults` - List of `EPPNameVerificationCheckResult` instances.

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Get the EPP response type associated with `EPPNameVerificationCheckResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        EPPNameVerificationCheckResp.ELM_NAME

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with `EPPNameVerificationCheckResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPNameVerificationMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationCheckResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationCheckResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPNameVerificationCheckResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### addResult

          public void addResult(EPPNameVerificationCheckResult aResult)

      Adds a result to the list of check results.
      Parameters:
        `aResult` - Result to add.

    - #### setCheckResults

          public void setCheckResults(java.util.List<EPPNameVerificationCheckResult> aResults)

      Set the results of a `EPPNameVerificationCheckResp` Response. There is one `EPPNameVerificationCheckResult` instance in `aResults` for each label requested in the `EPPNameVerificationCheckCmd` Command.
      Parameters:
        `aResults` - List of `EPPNameVerificationCheckResult` instances.

    - #### getCheckResults

          public java.util.List<EPPNameVerificationCheckResult> getCheckResults()

      Get the results of a `EPPNameVerificationCheckResp` Response.
      Returns:
        List of `EPPNameVerificationCheckResult` instances.

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationCheckResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPNameVerificationCheckResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPNameVerificationCheckResp` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPNameVerificationCheckResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationCheckResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

Copyright © VeriSign Inc. All Rights Reserved.